TencentNavKit

Instance Methods | Class Methods | Properties | List of all members
TNKRideNavManager Class Reference

骑行导航管理类 More...

`#import <TNKRideNavManager.h>`

Inheritance diagram for TNKRideNavManager:

## Instance Methods
(void) | - registerNavDelegate:
| 注册对象接收导航事件变化. 注册后可通过该协议获取导航过程中出现的状态或信息改变(如已偏航、经过途经点、到达终点等). 导航事件变化采用广播形式,可同时注册多个对象接收事件变化. More...
(void) | - unregisterNavDelegate:
| 注销对象接收导航事件变化. More...
(void) | - unregisterAllNavDelegates
| 注销所有对象接收导航事件变化. More...
(TNKSearchTask *_Nullable) | - searchRoutesWithRequest:completion:
Instance Methods inherited from TNKBaseNavManager
(BOOL) | - startNavWithIndex:
| 启动导航. 需要在驾车导航路线规划成功后进行. More...
(BOOL) | - startNavWithRouteID:
| 启动导航. 需要在驾车导航路线规划成功后进行. More...
(BOOL) | - setNaveRoutePlanCacheSize:
| 设置路径规划缓存数 [1, 8]，默认 1. More...
(void) | - stopNav
| 结束导航. More...
(void) | - rerouteWithParam:
| 重新算路方法 More...

## Class Methods
(instancetype) | + sharedInstance
| 单例模式，获取导航管理对象 More...

## Properties
TNKRideNavRoute * | curNavRoute
| 当前正在导航时的主路线数据。非导航时为nil More...
TNKNavTTSMode | ttsMode
| 导航播报模式，默认为标准模式. More...
id< TNKRideNavDataSource > | navDataSource
| 导航事件DataSource. since 5.2.6 More...
TNKRideVehicleType | vehicleType
| 骑行工具类型,传递错误值无效,默认bike. since 6.10.2 More...
Properties inherited from TNKBaseNavManager
BOOL | running
| 导航控制器是否在工作中，包含导航状态+偏航状态 More...
id< TNKAudioPlayerProtocol > | audioPlayer
| 导航播报的播放器。开发者如需SDK内置播报，需赋值[TNKAudioPlayer sharedAudioPlayer]对象至该属性 More...
id< TNKLocationSimulator > | locationSimulator
| 定位点模拟器，用于测试。 More...

## Detailed Description

骑行导航管理类

## Method Documentation

## ◆ registerNavDelegate:

- (void) registerNavDelegate: |  | (id< TNKRideNavDelegate >) | navDelegate |

注册对象接收导航事件变化. 注册后可通过该协议获取导航过程中出现的状态或信息改变(如已偏航、经过途经点、到达终点等). 导航事件变化采用广播形式,可同时注册多个对象接收事件变化.

Warning
  内部对navDelegate弱持有

Parameters

  navDelegate | 接收导航事件变化的对象

## ◆ searchRoutesWithRequest:completion:

- (TNKSearchTask *_Nullable) searchRoutesWithRequest: |  | (TNKRouteRequest *) | request
completion: |  | (void(^)(TNKRideRouteSearchResult *_Nullable searchResult, NSError *_Nullable error)) | completion

路径规划

Parameters

  request | 请求参数
  completion | 回调

## ◆ sharedInstance

+ (instancetype) sharedInstance |  |  |

单例模式，获取导航管理对象

## ◆ unregisterAllNavDelegates

- (void) unregisterAllNavDelegates |  |  |

注销所有对象接收导航事件变化.

## ◆ unregisterNavDelegate:

- (void) unregisterNavDelegate: |  | (id< TNKRideNavDelegate >) | navDelegate |

注销对象接收导航事件变化.

Parameters

  navDelegate | 接收导航事件变化的对象

## Property Documentation

## ◆ curNavRoute

- (TNKRideNavRoute*) curNavRoute
| readnonatomicassign

当前正在导航时的主路线数据。非导航时为nil

## ◆ navDataSource

- (id<TNKRideNavDataSource>) navDataSource
| readwritenonatomicweak

导航事件DataSource. since 5.2.6

## ◆ ttsMode

- (TNKNavTTSMode) ttsMode
| readwritenonatomicassign

导航播报模式，默认为标准模式.

Since
  5.3.9

## ◆ vehicleType

- (TNKRideVehicleType) vehicleType
| readwritenonatomicassign

骑行工具类型,传递错误值无效,默认bike. since 6.10.2

The documentation for this class was generated from the following file:

- TNKRideNavManager.h